> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create secret

> **Deprecated**: Use `POST /v2/secrets/{project_id}/{region_id}` instead.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/secrets/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/secrets/{project_id}/{region_id}:
    post:
      tags:
        - Secrets
      summary: Create secret
      description: '**Deprecated**: Use `POST /v2/secrets/{project_id}/{region_id}` instead.'
      operationId: SecretsViewSet.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSecretSerializer'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
      deprecated: true
components:
  schemas:
    CreateSecretSerializer:
      properties:
        algorithm:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Metadata provided by a user or system for informational purposes.
          examples:
            - aes
          title: Algorithm
        bit_length:
          anyOf:
            - exclusiveMinimum: 0
              type: integer
            - type: 'null'
          default: null
          description: >-
            Metadata provided by a user or system for informational purposes.
            Value must be greater than zero.
          examples:
            - 256
          title: Bit Length
        expiration:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Datetime when the secret will expire.
          examples:
            - '2025-12-28T19:14:44.180394'
          title: Expiration
        mode:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Metadata provided by a user or system for informational purposes.
          examples:
            - cbc
          title: Mode
        name:
          description: Secret name
          example: AES key
          examples:
            - AES key
          title: Name
          type: string
        payload:
          description: >-
            Secret payload. For HTTPS-terminated load balancing, provide base64
            encoded conents of a PKCS12 file. The PKCS12 file is the combined
            TLS certificate, key, and intermediate certificate chain obtained
            from an external certificate authority. The file can be created via
            openssl, e.g.'openssl pkcs12 -export -inkey server.key -in
            server.crt -certfile ca-chain.crt -passout pass: -out server.p12'The
            key and certificate should be PEM-encoded, and the intermediate
            certificate chain should be multiple PEM-encoded certs concatenated
            together
          example: aGVsbG8sIHRlc3Qgc3RyaW5nCg==
          examples:
            - aGVsbG8sIHRlc3Qgc3RyaW5nCg==
          format: password
          title: Payload
          type: string
          writeOnly: true
        payload_content_encoding:
          $ref: '#/components/schemas/PayloadContentEncoding'
          description: >-
            The encoding used for the payload to be able to include it in the
            JSON request. Currently only base64 is supported
          examples:
            - base64
        payload_content_type:
          description: >-
            The media type for the content of the payload, text/plain is
            incompatible with base64 `payload_content_encoding`
          example: application/octet-stream
          examples:
            - application/octet-stream
          title: Payload Content Type
          type: string
        secret_type:
          $ref: '#/components/schemas/SecretTypesEnum'
          description: >-
            Secret type. symmetric - Used for storing byte arrays such as keys
            suitable for symmetric encryption; public - Used for storing the
            public key of an asymmetric keypair; private - Used for storing the
            private key of an asymmetric keypair; passphrase - Used for storing
            plain text passphrases; certificate - Used for storing cryptographic
            certificates such as X.509 certificates; opaque - Used for backwards
            compatibility with previous versions of the API
          examples:
            - certificate
      required:
        - name
        - payload
        - payload_content_encoding
        - payload_content_type
        - secret_type
      title: CreateSecretSerializer
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    PayloadContentEncoding:
      enum:
        - base64
      title: PayloadContentEncoding
      type: string
    SecretTypesEnum:
      enum:
        - certificate
        - opaque
        - passphrase
        - private
        - public
        - symmetric
      title: SecretTypesEnum
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````